import request from '@/utils/request'

// 查询装置管理列表
export function listPlant(query) {
  return request({
    url: '/system/plant/list',
    method: 'get',
    params: query
  })
}

// 查询装置管理详细
export function getPlant(plantId) {
  return request({
    url: '/system/plant/' + plantId,
    method: 'get'
  })
}

// 查询设备
export function devData(data) {
  return request({
    url: '/sems/home/devData',
    method: 'post',
    data: data
  })
}

// 查询压力容器
export function devYlrqData(data) {
  return request({
    url: '/sems/home/devYlrqData',
    method: 'post',
    data: data
  })
}

// 查询压力管道
export function devYlgdData(data) {
  return request({
    url: '/sems/home/devYlgdData',
    method: 'post',
    data: data
  })
}


// 查询guolu
export function devGlData(data) {
  return request({
    url: '/sems/home/devGlData',
    method: 'post',
    data: data
  })
}

// 查询qita
export function devOtherData(data) {
  return request({
    url: '/sems/home/devOtherData',
    method: 'post',
    data: data
  })
}

// 查询历史申请
export function finishApproveData(data) {
  return request({
    url: '/sems/home/finishApproveData',
    method: 'post',
    data: data
  })
}

// 查询申请
export function devApproveData(data) {
  return request({
    url: '/sems/home/devApproveData',
    method: 'post',
    data: data
  })
}

// 查询压力容器等级
export function devYlrqSafeData(data) {
  return request({
    url: '/sems/home/devYlrqSafeData',
    method: 'post',
    data: data
  })
}

// 查询压力gd等级
export function devYlgdSafeData(data) {
  return request({
    url: '/sems/home/devYlgdSafeData',
    method: 'post',
    data: data
  })
}

// 查询gl结论
export function devGlPerData(data) {
  return request({
    url: '/sems/home/devGlPerData',
    method: 'post',
    data: data
  })
}
